Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network79.16.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
79.16.0.0
Broadcast address
79.31.255.255
First usable
79.16.0.1
Last usable
79.31.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 4F100000 · Integer 1326448640 to 1327497215
Reverse DNS zones
16.79.in-addr.arpa
17.79.in-addr.arpa
18.79.in-addr.arpa
19.79.in-addr.arpa
20.79.in-addr.arpa
21.79.in-addr.arpa
22.79.in-addr.arpa
23.79.in-addr.arpa
24.79.in-addr.arpa
25.79.in-addr.arpa
26.79.in-addr.arpa
27.79.in-addr.arpa
28.79.in-addr.arpa
29.79.in-addr.arpa
30.79.in-addr.arpa
31.79.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001111.00010000.00000000.0000000079.16.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network01001111.00010000.00000000.0000000079.16.0.0
Broadcast01001111.00011111.11111111.1111111179.31.255.255
Split into smaller subnets/22

79.16.0.0/12 makes 1,024 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
179.16.0.0/2279.16.0.1 to 79.16.3.25479.16.3.2551,022
279.16.4.0/2279.16.4.1 to 79.16.7.25479.16.7.2551,022
379.16.8.0/2279.16.8.1 to 79.16.11.25479.16.11.2551,022
479.16.12.0/2279.16.12.1 to 79.16.15.25479.16.15.2551,022
579.16.16.0/2279.16.16.1 to 79.16.19.25479.16.19.2551,022
679.16.20.0/2279.16.20.1 to 79.16.23.25479.16.23.2551,022
779.16.24.0/2279.16.24.1 to 79.16.27.25479.16.27.2551,022
879.16.28.0/2279.16.28.1 to 79.16.31.25479.16.31.2551,022
979.16.32.0/2279.16.32.1 to 79.16.35.25479.16.35.2551,022
1079.16.36.0/2279.16.36.1 to 79.16.39.25479.16.39.2551,022
1179.16.40.0/2279.16.40.1 to 79.16.43.25479.16.43.2551,022
1279.16.44.0/2279.16.44.1 to 79.16.47.25479.16.47.2551,022
1379.16.48.0/2279.16.48.1 to 79.16.51.25479.16.51.2551,022
1479.16.52.0/2279.16.52.1 to 79.16.55.25479.16.55.2551,022
1579.16.56.0/2279.16.56.1 to 79.16.59.25479.16.59.2551,022
1679.16.60.0/2279.16.60.1 to 79.16.63.25479.16.63.2551,022
1779.16.64.0/2279.16.64.1 to 79.16.67.25479.16.67.2551,022
1879.16.68.0/2279.16.68.1 to 79.16.71.25479.16.71.2551,022
1979.16.72.0/2279.16.72.1 to 79.16.75.25479.16.75.2551,022
2079.16.76.0/2279.16.76.1 to 79.16.79.25479.16.79.2551,022
2179.16.80.0/2279.16.80.1 to 79.16.83.25479.16.83.2551,022
2279.16.84.0/2279.16.84.1 to 79.16.87.25479.16.87.2551,022
2379.16.88.0/2279.16.88.1 to 79.16.91.25479.16.91.2551,022
2479.16.92.0/2279.16.92.1 to 79.16.95.25479.16.95.2551,022
2579.16.96.0/2279.16.96.1 to 79.16.99.25479.16.99.2551,022
2679.16.100.0/2279.16.100.1 to 79.16.103.25479.16.103.2551,022
2779.16.104.0/2279.16.104.1 to 79.16.107.25479.16.107.2551,022
2879.16.108.0/2279.16.108.1 to 79.16.111.25479.16.111.2551,022
2979.16.112.0/2279.16.112.1 to 79.16.115.25479.16.115.2551,022
3079.16.116.0/2279.16.116.1 to 79.16.119.25479.16.119.2551,022
3179.16.120.0/2279.16.120.1 to 79.16.123.25479.16.123.2551,022
3279.16.124.0/2279.16.124.1 to 79.16.127.25479.16.127.2551,022
3379.16.128.0/2279.16.128.1 to 79.16.131.25479.16.131.2551,022
3479.16.132.0/2279.16.132.1 to 79.16.135.25479.16.135.2551,022
3579.16.136.0/2279.16.136.1 to 79.16.139.25479.16.139.2551,022
3679.16.140.0/2279.16.140.1 to 79.16.143.25479.16.143.2551,022
3779.16.144.0/2279.16.144.1 to 79.16.147.25479.16.147.2551,022
3879.16.148.0/2279.16.148.1 to 79.16.151.25479.16.151.2551,022
3979.16.152.0/2279.16.152.1 to 79.16.155.25479.16.155.2551,022
4079.16.156.0/2279.16.156.1 to 79.16.159.25479.16.159.2551,022
4179.16.160.0/2279.16.160.1 to 79.16.163.25479.16.163.2551,022
4279.16.164.0/2279.16.164.1 to 79.16.167.25479.16.167.2551,022
4379.16.168.0/2279.16.168.1 to 79.16.171.25479.16.171.2551,022
4479.16.172.0/2279.16.172.1 to 79.16.175.25479.16.175.2551,022
4579.16.176.0/2279.16.176.1 to 79.16.179.25479.16.179.2551,022
4679.16.180.0/2279.16.180.1 to 79.16.183.25479.16.183.2551,022
4779.16.184.0/2279.16.184.1 to 79.16.187.25479.16.187.2551,022
4879.16.188.0/2279.16.188.1 to 79.16.191.25479.16.191.2551,022
4979.16.192.0/2279.16.192.1 to 79.16.195.25479.16.195.2551,022
5079.16.196.0/2279.16.196.1 to 79.16.199.25479.16.199.2551,022
5179.16.200.0/2279.16.200.1 to 79.16.203.25479.16.203.2551,022
5279.16.204.0/2279.16.204.1 to 79.16.207.25479.16.207.2551,022
5379.16.208.0/2279.16.208.1 to 79.16.211.25479.16.211.2551,022
5479.16.212.0/2279.16.212.1 to 79.16.215.25479.16.215.2551,022
5579.16.216.0/2279.16.216.1 to 79.16.219.25479.16.219.2551,022
5679.16.220.0/2279.16.220.1 to 79.16.223.25479.16.223.2551,022
5779.16.224.0/2279.16.224.1 to 79.16.227.25479.16.227.2551,022
5879.16.228.0/2279.16.228.1 to 79.16.231.25479.16.231.2551,022
5979.16.232.0/2279.16.232.1 to 79.16.235.25479.16.235.2551,022
6079.16.236.0/2279.16.236.1 to 79.16.239.25479.16.239.2551,022
6179.16.240.0/2279.16.240.1 to 79.16.243.25479.16.243.2551,022
6279.16.244.0/2279.16.244.1 to 79.16.247.25479.16.247.2551,022
6379.16.248.0/2279.16.248.1 to 79.16.251.25479.16.251.2551,022
6479.16.252.0/2279.16.252.1 to 79.16.255.25479.16.255.2551,022
6579.17.0.0/2279.17.0.1 to 79.17.3.25479.17.3.2551,022
6679.17.4.0/2279.17.4.1 to 79.17.7.25479.17.7.2551,022
6779.17.8.0/2279.17.8.1 to 79.17.11.25479.17.11.2551,022
6879.17.12.0/2279.17.12.1 to 79.17.15.25479.17.15.2551,022
6979.17.16.0/2279.17.16.1 to 79.17.19.25479.17.19.2551,022
7079.17.20.0/2279.17.20.1 to 79.17.23.25479.17.23.2551,022
7179.17.24.0/2279.17.24.1 to 79.17.27.25479.17.27.2551,022
7279.17.28.0/2279.17.28.1 to 79.17.31.25479.17.31.2551,022
7379.17.32.0/2279.17.32.1 to 79.17.35.25479.17.35.2551,022
7479.17.36.0/2279.17.36.1 to 79.17.39.25479.17.39.2551,022
7579.17.40.0/2279.17.40.1 to 79.17.43.25479.17.43.2551,022
7679.17.44.0/2279.17.44.1 to 79.17.47.25479.17.47.2551,022
7779.17.48.0/2279.17.48.1 to 79.17.51.25479.17.51.2551,022
7879.17.52.0/2279.17.52.1 to 79.17.55.25479.17.55.2551,022
7979.17.56.0/2279.17.56.1 to 79.17.59.25479.17.59.2551,022
8079.17.60.0/2279.17.60.1 to 79.17.63.25479.17.63.2551,022
8179.17.64.0/2279.17.64.1 to 79.17.67.25479.17.67.2551,022
8279.17.68.0/2279.17.68.1 to 79.17.71.25479.17.71.2551,022
8379.17.72.0/2279.17.72.1 to 79.17.75.25479.17.75.2551,022
8479.17.76.0/2279.17.76.1 to 79.17.79.25479.17.79.2551,022
8579.17.80.0/2279.17.80.1 to 79.17.83.25479.17.83.2551,022
8679.17.84.0/2279.17.84.1 to 79.17.87.25479.17.87.2551,022
8779.17.88.0/2279.17.88.1 to 79.17.91.25479.17.91.2551,022
8879.17.92.0/2279.17.92.1 to 79.17.95.25479.17.95.2551,022
8979.17.96.0/2279.17.96.1 to 79.17.99.25479.17.99.2551,022
9079.17.100.0/2279.17.100.1 to 79.17.103.25479.17.103.2551,022
9179.17.104.0/2279.17.104.1 to 79.17.107.25479.17.107.2551,022
9279.17.108.0/2279.17.108.1 to 79.17.111.25479.17.111.2551,022
9379.17.112.0/2279.17.112.1 to 79.17.115.25479.17.115.2551,022
9479.17.116.0/2279.17.116.1 to 79.17.119.25479.17.119.2551,022
9579.17.120.0/2279.17.120.1 to 79.17.123.25479.17.123.2551,022
9679.17.124.0/2279.17.124.1 to 79.17.127.25479.17.127.2551,022
9779.17.128.0/2279.17.128.1 to 79.17.131.25479.17.131.2551,022
9879.17.132.0/2279.17.132.1 to 79.17.135.25479.17.135.2551,022
9979.17.136.0/2279.17.136.1 to 79.17.139.25479.17.139.2551,022
10079.17.140.0/2279.17.140.1 to 79.17.143.25479.17.143.2551,022
10179.17.144.0/2279.17.144.1 to 79.17.147.25479.17.147.2551,022
10279.17.148.0/2279.17.148.1 to 79.17.151.25479.17.151.2551,022
10379.17.152.0/2279.17.152.1 to 79.17.155.25479.17.155.2551,022
10479.17.156.0/2279.17.156.1 to 79.17.159.25479.17.159.2551,022
10579.17.160.0/2279.17.160.1 to 79.17.163.25479.17.163.2551,022
10679.17.164.0/2279.17.164.1 to 79.17.167.25479.17.167.2551,022
10779.17.168.0/2279.17.168.1 to 79.17.171.25479.17.171.2551,022
10879.17.172.0/2279.17.172.1 to 79.17.175.25479.17.175.2551,022
10979.17.176.0/2279.17.176.1 to 79.17.179.25479.17.179.2551,022
11079.17.180.0/2279.17.180.1 to 79.17.183.25479.17.183.2551,022
11179.17.184.0/2279.17.184.1 to 79.17.187.25479.17.187.2551,022
11279.17.188.0/2279.17.188.1 to 79.17.191.25479.17.191.2551,022
11379.17.192.0/2279.17.192.1 to 79.17.195.25479.17.195.2551,022
11479.17.196.0/2279.17.196.1 to 79.17.199.25479.17.199.2551,022
11579.17.200.0/2279.17.200.1 to 79.17.203.25479.17.203.2551,022
11679.17.204.0/2279.17.204.1 to 79.17.207.25479.17.207.2551,022
11779.17.208.0/2279.17.208.1 to 79.17.211.25479.17.211.2551,022
11879.17.212.0/2279.17.212.1 to 79.17.215.25479.17.215.2551,022
11979.17.216.0/2279.17.216.1 to 79.17.219.25479.17.219.2551,022
12079.17.220.0/2279.17.220.1 to 79.17.223.25479.17.223.2551,022
12179.17.224.0/2279.17.224.1 to 79.17.227.25479.17.227.2551,022
12279.17.228.0/2279.17.228.1 to 79.17.231.25479.17.231.2551,022
12379.17.232.0/2279.17.232.1 to 79.17.235.25479.17.235.2551,022
12479.17.236.0/2279.17.236.1 to 79.17.239.25479.17.239.2551,022
12579.17.240.0/2279.17.240.1 to 79.17.243.25479.17.243.2551,022
12679.17.244.0/2279.17.244.1 to 79.17.247.25479.17.247.2551,022
12779.17.248.0/2279.17.248.1 to 79.17.251.25479.17.251.2551,022
12879.17.252.0/2279.17.252.1 to 79.17.255.25479.17.255.2551,022
12979.18.0.0/2279.18.0.1 to 79.18.3.25479.18.3.2551,022
13079.18.4.0/2279.18.4.1 to 79.18.7.25479.18.7.2551,022
13179.18.8.0/2279.18.8.1 to 79.18.11.25479.18.11.2551,022
13279.18.12.0/2279.18.12.1 to 79.18.15.25479.18.15.2551,022
13379.18.16.0/2279.18.16.1 to 79.18.19.25479.18.19.2551,022
13479.18.20.0/2279.18.20.1 to 79.18.23.25479.18.23.2551,022
13579.18.24.0/2279.18.24.1 to 79.18.27.25479.18.27.2551,022
13679.18.28.0/2279.18.28.1 to 79.18.31.25479.18.31.2551,022
13779.18.32.0/2279.18.32.1 to 79.18.35.25479.18.35.2551,022
13879.18.36.0/2279.18.36.1 to 79.18.39.25479.18.39.2551,022
13979.18.40.0/2279.18.40.1 to 79.18.43.25479.18.43.2551,022
14079.18.44.0/2279.18.44.1 to 79.18.47.25479.18.47.2551,022
14179.18.48.0/2279.18.48.1 to 79.18.51.25479.18.51.2551,022
14279.18.52.0/2279.18.52.1 to 79.18.55.25479.18.55.2551,022
14379.18.56.0/2279.18.56.1 to 79.18.59.25479.18.59.2551,022
14479.18.60.0/2279.18.60.1 to 79.18.63.25479.18.63.2551,022
14579.18.64.0/2279.18.64.1 to 79.18.67.25479.18.67.2551,022
14679.18.68.0/2279.18.68.1 to 79.18.71.25479.18.71.2551,022
14779.18.72.0/2279.18.72.1 to 79.18.75.25479.18.75.2551,022
14879.18.76.0/2279.18.76.1 to 79.18.79.25479.18.79.2551,022
14979.18.80.0/2279.18.80.1 to 79.18.83.25479.18.83.2551,022
15079.18.84.0/2279.18.84.1 to 79.18.87.25479.18.87.2551,022
15179.18.88.0/2279.18.88.1 to 79.18.91.25479.18.91.2551,022
15279.18.92.0/2279.18.92.1 to 79.18.95.25479.18.95.2551,022
15379.18.96.0/2279.18.96.1 to 79.18.99.25479.18.99.2551,022
15479.18.100.0/2279.18.100.1 to 79.18.103.25479.18.103.2551,022
15579.18.104.0/2279.18.104.1 to 79.18.107.25479.18.107.2551,022
15679.18.108.0/2279.18.108.1 to 79.18.111.25479.18.111.2551,022
15779.18.112.0/2279.18.112.1 to 79.18.115.25479.18.115.2551,022
15879.18.116.0/2279.18.116.1 to 79.18.119.25479.18.119.2551,022
15979.18.120.0/2279.18.120.1 to 79.18.123.25479.18.123.2551,022
16079.18.124.0/2279.18.124.1 to 79.18.127.25479.18.127.2551,022
16179.18.128.0/2279.18.128.1 to 79.18.131.25479.18.131.2551,022
16279.18.132.0/2279.18.132.1 to 79.18.135.25479.18.135.2551,022
16379.18.136.0/2279.18.136.1 to 79.18.139.25479.18.139.2551,022
16479.18.140.0/2279.18.140.1 to 79.18.143.25479.18.143.2551,022
16579.18.144.0/2279.18.144.1 to 79.18.147.25479.18.147.2551,022
16679.18.148.0/2279.18.148.1 to 79.18.151.25479.18.151.2551,022
16779.18.152.0/2279.18.152.1 to 79.18.155.25479.18.155.2551,022
16879.18.156.0/2279.18.156.1 to 79.18.159.25479.18.159.2551,022
16979.18.160.0/2279.18.160.1 to 79.18.163.25479.18.163.2551,022
17079.18.164.0/2279.18.164.1 to 79.18.167.25479.18.167.2551,022
17179.18.168.0/2279.18.168.1 to 79.18.171.25479.18.171.2551,022
17279.18.172.0/2279.18.172.1 to 79.18.175.25479.18.175.2551,022
17379.18.176.0/2279.18.176.1 to 79.18.179.25479.18.179.2551,022
17479.18.180.0/2279.18.180.1 to 79.18.183.25479.18.183.2551,022
17579.18.184.0/2279.18.184.1 to 79.18.187.25479.18.187.2551,022
17679.18.188.0/2279.18.188.1 to 79.18.191.25479.18.191.2551,022
17779.18.192.0/2279.18.192.1 to 79.18.195.25479.18.195.2551,022
17879.18.196.0/2279.18.196.1 to 79.18.199.25479.18.199.2551,022
17979.18.200.0/2279.18.200.1 to 79.18.203.25479.18.203.2551,022
18079.18.204.0/2279.18.204.1 to 79.18.207.25479.18.207.2551,022
18179.18.208.0/2279.18.208.1 to 79.18.211.25479.18.211.2551,022
18279.18.212.0/2279.18.212.1 to 79.18.215.25479.18.215.2551,022
18379.18.216.0/2279.18.216.1 to 79.18.219.25479.18.219.2551,022
18479.18.220.0/2279.18.220.1 to 79.18.223.25479.18.223.2551,022
18579.18.224.0/2279.18.224.1 to 79.18.227.25479.18.227.2551,022
18679.18.228.0/2279.18.228.1 to 79.18.231.25479.18.231.2551,022
18779.18.232.0/2279.18.232.1 to 79.18.235.25479.18.235.2551,022
18879.18.236.0/2279.18.236.1 to 79.18.239.25479.18.239.2551,022
18979.18.240.0/2279.18.240.1 to 79.18.243.25479.18.243.2551,022
19079.18.244.0/2279.18.244.1 to 79.18.247.25479.18.247.2551,022
19179.18.248.0/2279.18.248.1 to 79.18.251.25479.18.251.2551,022
19279.18.252.0/2279.18.252.1 to 79.18.255.25479.18.255.2551,022
19379.19.0.0/2279.19.0.1 to 79.19.3.25479.19.3.2551,022
19479.19.4.0/2279.19.4.1 to 79.19.7.25479.19.7.2551,022
19579.19.8.0/2279.19.8.1 to 79.19.11.25479.19.11.2551,022
19679.19.12.0/2279.19.12.1 to 79.19.15.25479.19.15.2551,022
19779.19.16.0/2279.19.16.1 to 79.19.19.25479.19.19.2551,022
19879.19.20.0/2279.19.20.1 to 79.19.23.25479.19.23.2551,022
19979.19.24.0/2279.19.24.1 to 79.19.27.25479.19.27.2551,022
20079.19.28.0/2279.19.28.1 to 79.19.31.25479.19.31.2551,022
20179.19.32.0/2279.19.32.1 to 79.19.35.25479.19.35.2551,022
20279.19.36.0/2279.19.36.1 to 79.19.39.25479.19.39.2551,022
20379.19.40.0/2279.19.40.1 to 79.19.43.25479.19.43.2551,022
20479.19.44.0/2279.19.44.1 to 79.19.47.25479.19.47.2551,022
20579.19.48.0/2279.19.48.1 to 79.19.51.25479.19.51.2551,022
20679.19.52.0/2279.19.52.1 to 79.19.55.25479.19.55.2551,022
20779.19.56.0/2279.19.56.1 to 79.19.59.25479.19.59.2551,022
20879.19.60.0/2279.19.60.1 to 79.19.63.25479.19.63.2551,022
20979.19.64.0/2279.19.64.1 to 79.19.67.25479.19.67.2551,022
21079.19.68.0/2279.19.68.1 to 79.19.71.25479.19.71.2551,022
21179.19.72.0/2279.19.72.1 to 79.19.75.25479.19.75.2551,022
21279.19.76.0/2279.19.76.1 to 79.19.79.25479.19.79.2551,022
21379.19.80.0/2279.19.80.1 to 79.19.83.25479.19.83.2551,022
21479.19.84.0/2279.19.84.1 to 79.19.87.25479.19.87.2551,022
21579.19.88.0/2279.19.88.1 to 79.19.91.25479.19.91.2551,022
21679.19.92.0/2279.19.92.1 to 79.19.95.25479.19.95.2551,022
21779.19.96.0/2279.19.96.1 to 79.19.99.25479.19.99.2551,022
21879.19.100.0/2279.19.100.1 to 79.19.103.25479.19.103.2551,022
21979.19.104.0/2279.19.104.1 to 79.19.107.25479.19.107.2551,022
22079.19.108.0/2279.19.108.1 to 79.19.111.25479.19.111.2551,022
22179.19.112.0/2279.19.112.1 to 79.19.115.25479.19.115.2551,022
22279.19.116.0/2279.19.116.1 to 79.19.119.25479.19.119.2551,022
22379.19.120.0/2279.19.120.1 to 79.19.123.25479.19.123.2551,022
22479.19.124.0/2279.19.124.1 to 79.19.127.25479.19.127.2551,022
22579.19.128.0/2279.19.128.1 to 79.19.131.25479.19.131.2551,022
22679.19.132.0/2279.19.132.1 to 79.19.135.25479.19.135.2551,022
22779.19.136.0/2279.19.136.1 to 79.19.139.25479.19.139.2551,022
22879.19.140.0/2279.19.140.1 to 79.19.143.25479.19.143.2551,022
22979.19.144.0/2279.19.144.1 to 79.19.147.25479.19.147.2551,022
23079.19.148.0/2279.19.148.1 to 79.19.151.25479.19.151.2551,022
23179.19.152.0/2279.19.152.1 to 79.19.155.25479.19.155.2551,022
23279.19.156.0/2279.19.156.1 to 79.19.159.25479.19.159.2551,022
23379.19.160.0/2279.19.160.1 to 79.19.163.25479.19.163.2551,022
23479.19.164.0/2279.19.164.1 to 79.19.167.25479.19.167.2551,022
23579.19.168.0/2279.19.168.1 to 79.19.171.25479.19.171.2551,022
23679.19.172.0/2279.19.172.1 to 79.19.175.25479.19.175.2551,022
23779.19.176.0/2279.19.176.1 to 79.19.179.25479.19.179.2551,022
23879.19.180.0/2279.19.180.1 to 79.19.183.25479.19.183.2551,022
23979.19.184.0/2279.19.184.1 to 79.19.187.25479.19.187.2551,022
24079.19.188.0/2279.19.188.1 to 79.19.191.25479.19.191.2551,022
24179.19.192.0/2279.19.192.1 to 79.19.195.25479.19.195.2551,022
24279.19.196.0/2279.19.196.1 to 79.19.199.25479.19.199.2551,022
24379.19.200.0/2279.19.200.1 to 79.19.203.25479.19.203.2551,022
24479.19.204.0/2279.19.204.1 to 79.19.207.25479.19.207.2551,022
24579.19.208.0/2279.19.208.1 to 79.19.211.25479.19.211.2551,022
24679.19.212.0/2279.19.212.1 to 79.19.215.25479.19.215.2551,022
24779.19.216.0/2279.19.216.1 to 79.19.219.25479.19.219.2551,022
24879.19.220.0/2279.19.220.1 to 79.19.223.25479.19.223.2551,022
24979.19.224.0/2279.19.224.1 to 79.19.227.25479.19.227.2551,022
25079.19.228.0/2279.19.228.1 to 79.19.231.25479.19.231.2551,022
25179.19.232.0/2279.19.232.1 to 79.19.235.25479.19.235.2551,022
25279.19.236.0/2279.19.236.1 to 79.19.239.25479.19.239.2551,022
25379.19.240.0/2279.19.240.1 to 79.19.243.25479.19.243.2551,022
25479.19.244.0/2279.19.244.1 to 79.19.247.25479.19.247.2551,022
25579.19.248.0/2279.19.248.1 to 79.19.251.25479.19.251.2551,022
25679.19.252.0/2279.19.252.1 to 79.19.255.25479.19.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses